Tryton - Issues

 

Issue7082

Title Import aeb43 file format on statement
Priority feature Status resolved
Superseder Nosy List ced, pokoli, reviewbot, roundup-bot
Type feature request Components
Assigned To pokoli Keywords review
Reviews 43051002
View: 43051002

Created on 2018-01-23.17:02:06 by pokoli, last changed by roundup-bot.

Messages
New changeset f670aae7bad6 by Sergi Almacellas Abellana in branch 'default':
Initial commit
https://hg.tryton.org/modules/account_statement_aeb43/rev/f670aae7bad6
review43051002 updated at https://codereview.tryton.org/43051002/#ps240001
review43051002 updated at https://codereview.tryton.org/43051002/#ps220001
review43051002 updated at https://codereview.tryton.org/43051002/#ps200001
review43051002 updated at https://codereview.tryton.org/43051002/#ps180001
review43051002 updated at https://codereview.tryton.org/43051002/#ps160001
review43051002 updated at https://codereview.tryton.org/43051002/#ps140001
review43051002 updated at https://codereview.tryton.org/43051002/#ps120001
review43051002 updated at https://codereview.tryton.org/43051002/#ps100001
msg38987 (view) Author: [hidden] (ced) (Tryton committer) (Tryton translator) Date: 2018-03-14.15:16:03
Could not PyYAML and pycountry removed also?
review43051002 updated at https://codereview.tryton.org/43051002/#ps80001
msg38982 (view) Author: [hidden] (pokoli) (Tryton committer) (Tryton translator) Date: 2018-03-14.11:37:11
I've created a Pull Requests on the csb43 library [1] in order to make the tablib dependency optional as we do not require it for parsing the file as json so we can keep the reduce de instalation dependencies. 

If this pull request is accepted I think we can use the csb43 library. 

[1] https://bitbucket.org/wmj/csb43/pull-requests/2/make-tablib-dependency-optional/diff
msg38854 (view) Author: [hidden] (ced) (Tryton committer) (Tryton translator) Date: 2018-03-07.17:42:43
After reviewing the code, I find that the parsing is more complex than just fixed position. I would prefer to have it in an external library.
review43051002 updated at https://codereview.tryton.org/43051002/#ps60001
review43051002 updated at https://codereview.tryton.org/43051002/#ps40001
review43051002 updated at https://codereview.tryton.org/43051002/#ps20001
msg37918 (view) Author: [hidden] (pokoli) (Tryton committer) (Tryton translator) Date: 2018-01-24.12:23:13
> Also I'm wondering if you really need a library to parse a text file with fixed width. You could just use slice on each line.

I think this will be the easier way. So I removed the retrofix dependency and parsed the file by using slices.
msg37906 (view) Author: [hidden] (ced) (Tryton committer) (Tryton translator) Date: 2018-01-23.18:33:42
Also I'm wondering if you really need a library to parse a text file with fixed width. You could just use slice on each line.
msg37904 (view) Author: [hidden] (ced) (Tryton committer) (Tryton translator) Date: 2018-01-23.18:03:38
The dependency to retrofix is not acceptable as it does not support Python3.
Also I could not find the repository.
What about: https://pypi.python.org/pypi/csb43
Adding a new dependency should be done carefully.
review43051002 updated at https://codereview.tryton.org/43051002/#ps1
msg37900 (view) Author: [hidden] (pokoli) (Tryton committer) (Tryton translator) Date: 2018-01-23.17:02:06
The Spanish Association of Banks (AEB) has a file format used to represent the statement moves. This format is called Norma 43 (which is translated as Norm43). Here are the specifications:

https://www.caixabank.es/deployedfiles/empresas/Estaticos/pdf/Transferenciasyficheros/q43Junio2012.pdf

It will be great to be able to import this files with the account statement wizard.
History
Date User Action Args
2018-06-29 16:10:24roundup-botsetstatus: testing -> resolved
nosy: + roundup-bot
messages: + msg41990
2018-06-29 14:01:17reviewbotsetmessages: + msg41983
2018-06-12 10:30:28reviewbotsetmessages: + msg41370
2018-05-11 17:41:44reviewbotsetmessages: + msg40645
2018-05-09 10:13:29reviewbotsetmessages: + msg40593
2018-04-27 14:00:29reviewbotsetmessages: + msg40435
2018-03-21 18:13:18reviewbotsetmessages: + msg39191
2018-03-21 10:14:48reviewbotsetmessages: + msg39156
2018-03-20 14:55:30reviewbotsetmessages: + msg39119
2018-03-14 15:16:03cedsetmessages: + msg38987

Showing 10 items. Show all history (warning: this could be VERY long)